CGAL 5.6.3 - Polygon Mesh Processing

Loading...
Searching...
No Matches
Functions
polygon_mesh_processing.h File Reference
Polygon Mesh Processing Reference

Convenience header file including the headers for all the free functions of this package. More...

`#include <CGAL/Polygon_mesh_processing/orient_polygon_soup.h>`
`#include <CGAL/Polygon_mesh_processing/self_intersections.h>`
`#include <CGAL/Polygon_mesh_processing/polygon_soup_to_polygon_mesh.h>`
`#include <CGAL/Polygon_mesh_processing/polygon_mesh_to_polygon_soup.h>`
`#include <CGAL/Polygon_mesh_processing/triangulate_faces.h>`
`#include <CGAL/Polygon_mesh_processing/triangulate_hole.h>`
`#include <CGAL/Polygon_mesh_processing/compute_normal.h>`
`#include <CGAL/Polygon_mesh_processing/connected_components.h>`
`#include <CGAL/Polygon_mesh_processing/fair.h>`
`#include <CGAL/Polygon_mesh_processing/orientation.h>`
`#include <CGAL/Polygon_mesh_processing/refine.h>`
`#include <CGAL/Polygon_mesh_processing/stitch_borders.h>`
`#include <CGAL/Polygon_mesh_processing/measure.h>`
`#include <CGAL/Polygon_mesh_processing/bbox.h>`
`#include <CGAL/Polygon_mesh_processing/border.h>`
`#include <CGAL/Polygon_mesh_processing/repair.h>`
`#include <CGAL/Polygon_mesh_processing/repair_degeneracies.h>`
`#include <CGAL/Polygon_mesh_processing/repair_self_intersections.h>`
`#include <CGAL/Polygon_mesh_processing/remesh.h>`
`#include <CGAL/Polygon_mesh_processing/corefinement.h>`
`#include <CGAL/Polygon_mesh_processing/detect_features.h>`
`#include <CGAL/Polygon_mesh_processing/extrude.h>`
`#include <CGAL/Polygon_mesh_processing/random_perturbation.h>`
`#include <CGAL/Polygon_mesh_processing/distance.h>`
`#include <CGAL/Polygon_mesh_processing/intersection.h>`
`#include <CGAL/Polygon_mesh_processing/transform.h>`
`#include <CGAL/Polygon_mesh_processing/shape_predicates.h>`
`#include <CGAL/Polygon_mesh_processing/repair_polygon_soup.h>`
`#include <CGAL/Polygon_mesh_processing/merge_border_vertices.h>`
`#include <CGAL/Polygon_mesh_processing/smooth_mesh.h>`
`#include <CGAL/Polygon_mesh_processing/smooth_shape.h>`
`#include <CGAL/Polygon_mesh_processing/manifoldness.h>`

## Functions
unspecified_type | CGAL::Polygon_mesh_processing::parameters::all_default ()

## Detailed Description

Convenience header file including the headers for all the free functions of this package.

## Function Documentation

## ◆ all_default()

unspecified_type CGAL::Polygon_mesh_processing::parameters::all_default | ( |  | ) |

Deprecated:
  This function is deprecated and `default_values()` should be used instead. This function can be used to indicate that all optional named parameters to be used are the default ones. This is particularly useful when a function requires more than one sequence of named parameters and default values is fine only for some of them.